*******************************************************************************
*  PROGRAM:      Custord.mak
*
*  WRITTEN BY:   Borland Samples Group
*
*  DATE:         5/95
*
*  UPDATED:
*
*  VERSION:      Voyager
*
*  DESCRIPTION:  This program compiles all the necessary files for building
*                Custord.exe, creating a response file, Comak.rsp.  It then
*                builds the executable, Custord.exe from the files listed in
*                Custord.rsp.
*                If you want to build Custord.exe on your own, you can use the
*                Custord.rsp response file, which already exists
*
*  USAGE:        DO Custord.mak
*
*******************************************************************************
#include <Messdlg.h>

private saveTalk

* Environment
if set("talk") = "ON"
   set talk off
   saveTalk = "ON"
else
   saveTalk = "OFF"
endif

* Make sure Comak.rsp and Custord.exe don't exist
if file("Comak.rsp")
   delete file Comak.rsp
endif
if file("Custord.exe")
   delete file Custord.exe
endif

* Compile all necessary files to Comak.rsp response file.
?"Compiling necessary files..."
compile auto Custord.wfm,;
             Buttons.cc,;
             Custord.qbe,;
             Customer.mnu,;
             Orders.mnu,;
             Lineitem.mnu,;
             Search.wfm,;
             Sampproc.prg,;
             &_dbwinhome.custom\vcr.cc;
        to Comak.rsp

* Build Custord.exe from files listed in Comak.rsp
?"Building Custord.exe..."
build from Comak.rsp;
           to Custord.exe;
           icon Custord.ico
if file("Custord.exe")
   InformationMessage("Custord.exe built successfully", "Info")
else
   AlertMessage("Couldn't build Custord.exe due to errors.", "Sorry")
endif

set talk &saveTalk

